Bug 496167 - Review Request: lilyterm - Light and easy to use X Terminal Emulator
Review Request: lilyterm - Light and easy to use X Terminal Emulator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 18:01 EDT by Christoph Wickert
Modified: 2009-05-25 17:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-18 22:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
cwickert: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-04-16 18:01:41 EDT
Spec URL: http://cwickert.fedorapeople.org/review/lilyterm.spec
SRPM URL: http://cwickert.fedorapeople.org/review/lilyterm-0.9.6-1.fc11.src.rpm
Description: LilyTerm is a light and easy to use libvte based X Terminal Emulator with a lot of features:
 * Supports multiple tabs, reorderable tabs and hides the tab tray when there 
   is only one tab
 * Add, close, swith, move, rename tabs with function keys
 * Disable/Enable function keys for temporary (use <Ctrl><`> by default).
 * Shows the foreground running command on tab and/or window title.
 * Change the font name, size, and window size with right click menu.
 * User custom function keys (need to edit profile).
 * Support for User/System profiles.
 * Supports true transparency if the window manager is composited.
 * Support for transparent background and background saturation.
 * Support for text and background color (need to edit profile).
 * Good support for UTF-8.
 * Decide the text encoding via environment. Using UTF-8 by default.
 * Change the text encoding with right click menu.

Note: Maybe the description is to elaborate, I know.
Comment 1 Susi Lehtola 2009-04-18 03:58:12 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

No problems here.

APPROVED
Comment 2 Christoph Wickert 2009-04-18 04:11:33 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: lilyterm
Short Description: Light and easy to use X Terminal Emulator
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Kevin Fenzi 2009-04-18 21:27:10 EDT
cvs done.
Comment 4 Christoph Wickert 2009-04-18 21:51:49 EDT
Where is the F-9 branch?
Comment 5 Christoph Wickert 2009-04-18 21:52:26 EDT
My bad, was blind
Comment 6 Fedora Update System 2009-04-18 22:19:29 EDT
lilyterm-0.9.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lilyterm-0.9.6-1.fc11
Comment 7 Fedora Update System 2009-04-18 22:20:56 EDT
lilyterm-0.9.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lilyterm-0.9.6-1.fc10
Comment 8 Fedora Update System 2009-04-18 22:21:12 EDT
lilyterm-0.9.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lilyterm-0.9.6-1.fc9
Comment 9 Fedora Update System 2009-05-25 17:13:29 EDT
lilyterm-0.9.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-25 17:14:31 EDT
lilyterm-0.9.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-25 17:16:45 EDT
lilyterm-0.9.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.